import Viz from "./Viz.js";
/**
    Creates a radial layout of a rows/columns Matrix of any dataset. See [this example](https://d3plus.org/examples/d3plus-matrix/radial-matrix/) for help getting started using the Matrix class.
*/
export default class RadialMatrix extends Viz {
    [key: string]: any;
    /**
      Invoked when creating a new class instance, and sets any default parameters.
      @private
    */
    constructor();
    /**
        Extends the draw behavior of the abstract Viz class.
        @private
    */
    _draw(callback?: () => void): this;
    /**
        The pixel padding in between each cell.
  */
    cellPadding(_: any): any;
    /**
        Determines which key in your data should be used for each column in the matrix. Can be either a String that matches a key used in every data point, or an accessor function that receives a data point and it's index in the data array, and is expected to return it's column value.
  
  @example
  function column(d) {
    return d.name;
  }
    */
    column(_: any): any;
    /**
        A pass-through to the underlying [Axis](http://d3plus.org/docs/#Axis) config used for the column labels.
  */
    columnConfig(_: any): any;
    /**
        A manual list of IDs to be used for rows.
  */
    columnList(_: any): any;
    /**
        A sort comparator function that is run on the unique set of column values.
  
  @example
  function column(a, b) {
    return a.localeCompare(b);
  }
    */
    columnSort(_: any): any;
    /**
        The radius (in pixels) for the inner donut hole of the diagram. Can either be a static Number, or an accessor function that receives the outer radius as it's only argument.
  
  @example
  function(outerRadius) {
    return outerRadius / 5;
  }
    */
    innerRadius(_: any): any;
    /**
        Determines which key in your data should be used for each row in the matrix. Can be either a String that matches a key used in every data point, or an accessor function that receives a data point and it's index in the data array, and is expected to return it's row value.
  
  @example
  function row(d) {
    return d.name;
  }
    */
    row(_: any): any;
    /**
        A manual list of IDs to be used for rows.
  */
    rowList(_: any): any;
    /**
        A sort comparator function that is run on the unique set of row values.
  
  @example
  function row(a, b) {
    return a.localeCompare(b);
  }
    */
    rowSort(_: any): any;
}
